Package org.bukkit

# Enum Class Effect.Type

java.lang.Object
java.lang.Enum<Effect.Type>
org.bukkit.Effect.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Effect.Type>`, `Constable`

Enclosing class:
  Effect

public static enum Effect.Type extends Enum<Effect.Type>
Represents the type of an effect.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SOUND`
`VISUAL`

## Method Summary

Modifier and Type
Method
Description
`static Effect.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Effect.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOUND

public static final Effect.Type SOUND

### VISUAL

public static final Effect.Type VISUAL

## Method Details

### values

public static Effect.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Effect.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null